Upstream information

CVE-2016-4008 at MITRE

Description

The _asn1_extract_der_octet function in lib/decoding.c in GNU Libtasn1 before 4.8, when used without the ASN1_DECODE_FLAG_STRICT_DER flag, allows remote attackers to cause a denial of service (infinite recursion) via a crafted certificate.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.9
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 982779 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
  • libtasn1-6-32bit >= 3.7-11.1
Patchnames:
SUSE-SLE-DESKTOP-12-2016-949
SUSE Linux Enterprise Desktop 12 SP1
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
  • libtasn1-6-32bit >= 3.7-11.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-949
SUSE Linux Enterprise Desktop 12 SP2
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
  • libtasn1-6-32bit >= 3.7-11.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libtasn1
SUSE Linux Enterprise Desktop 12 SP3
  • libtasn1 >= 4.9-1.7
  • libtasn1-6 >= 4.9-1.7
  • libtasn1-6-32bit >= 4.9-1.7
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libtasn1
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE Linux Enterprise Server 11 SP4
  • libtasn1 >= 1.5-1.34.1
  • libtasn1-3 >= 1.5-1.34.1
  • libtasn1-3-32bit >= 1.5-1.34.1
  • libtasn1-3-x86 >= 1.5-1.34.1
Patchnames:
slessp4-ntp-12614
SUSE Linux Enterprise Server 12
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
  • libtasn1-6-32bit >= 3.7-11.1
Patchnames:
SUSE-SLE-SERVER-12-2016-949
SUSE Linux Enterprise Server 12 SP1
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
  • libtasn1-6-32bit >= 3.7-11.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-949
SUSE Linux Enterprise Server 12 SP2
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
  • libtasn1-6-32bit >= 3.7-11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libtasn1
SUSE Linux Enterprise Server 12 SP3
  • libtasn1 >= 4.9-1.7
  • libtasn1-6 >= 4.9-1.7
  • libtasn1-6-32bit >= 4.9-1.7
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libtasn1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libtasn1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libtasn1 >= 1.5-1.34.1
  • libtasn1-devel >= 1.5-1.34.1
Patchnames:
sdksp4-ntp-12614
SUSE Linux Enterprise Software Development Kit 12
  • libtasn1 >= 3.7-11.1
  • libtasn1-devel >= 3.7-11.1
Patchnames:
SUSE-SLE-SDK-12-2016-949
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libtasn1 >= 3.7-11.1
  • libtasn1-devel >= 3.7-11.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-949
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libtasn1-devel >= 3.7-11.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libtasn1-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libtasn1-devel >= 4.9-1.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libtasn1-devel
openSUSE Leap 42.1
  • libtasn1 >= 3.7-12.1
  • libtasn1-6 >= 3.7-12.1
  • libtasn1-6-32bit >= 3.7-12.1
  • libtasn1-6-debuginfo >= 3.7-12.1
  • libtasn1-6-debuginfo-32bit >= 3.7-12.1
  • libtasn1-debuginfo >= 3.7-12.1
  • libtasn1-debugsource >= 3.7-12.1
  • libtasn1-devel >= 3.7-12.1
  • libtasn1-devel-32bit >= 3.7-12.1
Patchnames:
openSUSE-2016-773
openSUSE Leap 42.2
  • libtasn1 >= 3.7-12.2
  • libtasn1-6 >= 3.7-12.2
  • libtasn1-6-32bit >= 3.7-12.2
  • libtasn1-devel >= 3.7-12.2
Patchnames:
openSUSE Leap 42.2 GA libtasn1
openSUSE Leap 42.3
  • libtasn1 >= 4.9-1.2
  • libtasn1-6 >= 4.9-1.2
  • libtasn1-6-32bit >= 4.9-1.2
  • libtasn1-devel >= 4.9-1.2
Patchnames:
openSUSE Leap 42.3 GA libtasn1
openSUSE Tumbleweed
  • libtasn1 >= 4.9-1.3
  • libtasn1-6 >= 4.9-1.3
  • libtasn1-6-32bit >= 4.9-1.3
  • libtasn1-devel >= 4.9-1.3
  • libtasn1-devel-32bit >= 4.9-1.3
Patchnames:
openSUSE Tumbleweed GA libtasn1


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 libtasn1 Released
SUSE Linux Enterprise Desktop 11 SP3 libtasn1 Released
SUSE Linux Enterprise Desktop 11 SP4 libtasn1 Released
SUSE Linux Enterprise Desktop 12 GA libtasn1 Released
SUSE Linux Enterprise Desktop 12 SP1 libtasn1 Released
SUSE Linux Enterprise SDK 11 SP2 libtasn1 Released
SUSE Linux Enterprise SDK 11 SP3 libtasn1 Released
SUSE Linux Enterprise SDK 12 GA libtasn1 Released
SUSE Linux Enterprise SDK 12 SP1 libtasn1 Released
SUSE Linux Enterprise Server 11 SP1 LTSS libtasn1 Released
SUSE Linux Enterprise Server 11 SP2 libtasn1 Released
SUSE Linux Enterprise Server 11 SP2 LTSS libtasn1 Released
SUSE Linux Enterprise Server 11 SP3 libtasn1 Released
SUSE Linux Enterprise Server 12 GA libtasn1 Released
SUSE Linux Enterprise Server 12 SP1 libtasn1 Released
SUSE Linux Enterprise Server for SAP 11 SP2 libtasn1 Released